Skip to content

Changelog

New updates and improvements at Cloudflare.

Flagship
hero image
  1. The Flagship API reference is now available. You can use the Cloudflare API to create and update apps, and to create, update, delete, and list feature flags without using the dashboard.

    For example, create a new boolean flag with the API:

    Terminal window
    curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/flagship/apps/$APP_ID/flags \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
    "key": "new-checkout",
    "enabled": true,
    "default_variation": "off",
    "variations": {
    "off": false,
    "on": true
    },
    "rules": []
    }'

    To create an API token, go to Account API Tokens in the Cloudflare dashboard and search for Flagship.

    The API reference includes endpoints for Flagship apps, flags, changelog entries, and flag evaluation. Agents can also use the Flagship reference in the Cloudflare skill to create and manage Flagship resources.

    Refer to the Flagship documentation to learn more about evaluating feature flags from your applications.

  1. Flagship is now in public beta. Evaluate feature flags directly from Cloudflare Workers with no outbound HTTP calls, using globally distributed flag configuration backed by Workers KV and Durable Objects. Flagship supports typed flag values, targeting rules, percentage rollouts, audit history, and OpenFeature-compatible SDKs.

    Evaluate a flag from a Worker in a few lines of code:

    src/index.js
    export default {
    async fetch(request, env) {
    const showNewCheckout = await env.FLAGS.getBooleanValue(
    "new-checkout",
    false,
    );
    return new Response(showNewCheckout ? "New checkout" : "Standard checkout");
    },
    };

    Start creating flags from the Cloudflare dashboard today. Refer to the Flagship documentation to get started.